#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	m4
Version		:	1.4.19
Release		:	16.2.0.rel%{?dist}
Summary		:	The GNU macro processor
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	http://www.gnu.org/software/m4/

Source0		:	%{name}-%{version}.tar.xz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.


%prep
%setup -q

#---------------------------------------------------------
#building application
%build

sed -i							\
  -e 's/IO_ftrylockfile/IO_EOF_SEEN/'			\
  lib/*.c

echo "#define _IO_IN_BACKUP 0x100" >> lib/stdio-impl.h

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__rm} -fr %{buildroot}%{_infodir}/dir

%files			
%defattr(-, root,root, 0755)
%{_bindir}
%{_infodir}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1

%post


%changelog
